org.apache.ode.bpel.epr

## Class WSDL11Endpoint

- java.lang.Object
- - org.apache.ode.bpel.epr.WSDL11Endpoint

- All Implemented Interfaces:
    MutableEndpoint, EndpointReference

      public class WSDL11Endpoint
      extends java.lang.Object
      implements MutableEndpoint

  A service endpoint represented as a wsdl11:service element.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.ode.bpel.epr.MutableEndpoint

      `ADDRESS, BINDING_QNAME, PORT_NAME, SERVICE_QNAME, SESSION`

    - ### Fields inherited from interface org.apache.ode.bpel.iapi.EndpointReference

      `SERVICE_REF_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WSDL11Endpoint()`
    `WSDL11Endpoint(javax.xml.namespace.QName serviceName, java.lang.String portName)`
    `WSDL11Endpoint(javax.xml.namespace.QName serviceQName, java.lang.String portName, java.lang.String location)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(org.w3c.dom.Node node)` Checks if the type of the provided node is the right one for this ServiceEndpoint implementation.
    `void` | `fromMap(java.util.Map eprMap)` Expresses the fact that the endpoint can be either tranformed to a Map representation or initialized from a Map.
    `javax.xml.namespace.QName` | `getServiceName()`
    `java.lang.String` | `getUrl()`
    `void` | `set(org.w3c.dom.Node node)` Set service endpoint value from an XML node.
    `java.util.Map` | `toMap()` Expresses the fact that the endpoint can be either tranformed to a Map representation or initialized from a Map.
    `org.w3c.dom.Document` | `toXML()` Convert the EPR to an XML representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WSDL11Endpoint

          public WSDL11Endpoint()

    - #### WSDL11Endpoint

          public WSDL11Endpoint(javax.xml.namespace.QName serviceQName,
                        java.lang.String portName,
                        java.lang.String location)

    - #### WSDL11Endpoint

          public WSDL11Endpoint(javax.xml.namespace.QName serviceName,
                        java.lang.String portName)

  - ### Method Detail

    - #### getUrl

          public java.lang.String getUrl()

      Specified by:
        `getUrl` in interface `MutableEndpoint`
      Returns:
        endpoint target URL

    - #### getServiceName

          public javax.xml.namespace.QName getServiceName()

    - #### accept

          public boolean accept(org.w3c.dom.Node node)

      Description copied from interface: `MutableEndpoint`
      Checks if the type of the provided node is the right one for this ServiceEndpoint implementation. The endpoint should be unwrapped (without service-ref) before calling this method.
      Specified by:
        `accept` in interface `MutableEndpoint`
      Returns:
        true if the node content matches the service endpoint implementation, false otherwise

    - #### set

          public void set(org.w3c.dom.Node node)

      Description copied from interface: `MutableEndpoint`
      Set service endpoint value from an XML node.
      Specified by:
        `set` in interface `MutableEndpoint`

    - #### toXML

          public org.w3c.dom.Document toXML()

      Description copied from interface: `EndpointReference`
      Convert the EPR to an XML representation. The XML structure is up to the integration layer. This method is used by the BPEL engine to persist EPR references in the database. TODO: avoid using DOM
      Specified by:
        `toXML` in interface `EndpointReference`
      Returns:
        destination for the generated XML

    - #### toMap

          public java.util.Map toMap()

      Description copied from interface: `MutableEndpoint`
      Expresses the fact that the endpoint can be either tranformed to a Map representation or initialized from a Map. Used for endpoint conversion, to transform one endpoint type into another (using Map as an intermediary format).
      Specified by:
        `toMap` in interface `MutableEndpoint`

    - #### fromMap

          public void fromMap(java.util.Map eprMap)

      Description copied from interface: `MutableEndpoint`
      Expresses the fact that the endpoint can be either tranformed to a Map representation or initialized from a Map. Used for endpoint conversion, to transform one endpoint type into another (using Map as an intermediary format).
      Specified by:
        `fromMap` in interface `MutableEndpoint`